/*
 * This file is generated by jOOQ.
 */
package com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.records;


import com.alkemy.sophia.api.sophiamsinvoice.dbmodel.jooq.tables.SocietaTutela;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record7;
import org.jooq.Row7;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.11.9"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class SocietaTutelaRecord extends UpdatableRecordImpl<SocietaTutelaRecord> implements Record7<Integer, String, String, String, String, String, Byte> {

    private static final long serialVersionUID = 2067255225;

    /**
     * Setter for <code>SOCIETA_TUTELA.ID</code>.
     */
    public void setId(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>SOCIETA_TUTELA.ID</code>.
     */
    public Integer getId() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>SOCIETA_TUTELA.CODICE</code>.
     */
    public void setCodice(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>SOCIETA_TUTELA.CODICE</code>.
     */
    public String getCodice() {
        return (String) get(1);
    }

    /**
     * Setter for <code>SOCIETA_TUTELA.NOMINATIVO</code>.
     */
    public void setNominativo(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>SOCIETA_TUTELA.NOMINATIVO</code>.
     */
    public String getNominativo() {
        return (String) get(2);
    }

    /**
     * Setter for <code>SOCIETA_TUTELA.HOME_TERRITORY</code>.
     */
    public void setHomeTerritory(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>SOCIETA_TUTELA.HOME_TERRITORY</code>.
     */
    public String getHomeTerritory() {
        return (String) get(3);
    }

    /**
     * Setter for <code>SOCIETA_TUTELA.POSIZIONE_SIAE</code>.
     */
    public void setPosizioneSiae(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>SOCIETA_TUTELA.POSIZIONE_SIAE</code>.
     */
    public String getPosizioneSiae() {
        return (String) get(4);
    }

    /**
     * Setter for <code>SOCIETA_TUTELA.CODICE_SIADA</code>.
     */
    public void setCodiceSiada(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>SOCIETA_TUTELA.CODICE_SIADA</code>.
     */
    public String getCodiceSiada() {
        return (String) get(5);
    }

    /**
     * Setter for <code>SOCIETA_TUTELA.TENANT</code>.
     */
    public void setTenant(Byte value) {
        set(6, value);
    }

    /**
     * Getter for <code>SOCIETA_TUTELA.TENANT</code>.
     */
    public Byte getTenant() {
        return (Byte) get(6);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record7 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row7<Integer, String, String, String, String, String, Byte> fieldsRow() {
        return (Row7) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row7<Integer, String, String, String, String, String, Byte> valuesRow() {
        return (Row7) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return SocietaTutela.SOCIETA_TUTELA.ID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field2() {
        return SocietaTutela.SOCIETA_TUTELA.CODICE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field3() {
        return SocietaTutela.SOCIETA_TUTELA.NOMINATIVO;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field4() {
        return SocietaTutela.SOCIETA_TUTELA.HOME_TERRITORY;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field5() {
        return SocietaTutela.SOCIETA_TUTELA.POSIZIONE_SIAE;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<String> field6() {
        return SocietaTutela.SOCIETA_TUTELA.CODICE_SIADA;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Byte> field7() {
        return SocietaTutela.SOCIETA_TUTELA.TENANT;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component2() {
        return getCodice();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component3() {
        return getNominativo();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component4() {
        return getHomeTerritory();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component5() {
        return getPosizioneSiae();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String component6() {
        return getCodiceSiada();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Byte component7() {
        return getTenant();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getId();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value2() {
        return getCodice();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value3() {
        return getNominativo();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value4() {
        return getHomeTerritory();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value5() {
        return getPosizioneSiae();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public String value6() {
        return getCodiceSiada();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Byte value7() {
        return getTenant();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SocietaTutelaRecord value1(Integer value) {
        setId(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SocietaTutelaRecord value2(String value) {
        setCodice(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SocietaTutelaRecord value3(String value) {
        setNominativo(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SocietaTutelaRecord value4(String value) {
        setHomeTerritory(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SocietaTutelaRecord value5(String value) {
        setPosizioneSiae(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SocietaTutelaRecord value6(String value) {
        setCodiceSiada(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SocietaTutelaRecord value7(Byte value) {
        setTenant(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SocietaTutelaRecord values(Integer value1, String value2, String value3, String value4, String value5, String value6, Byte value7) {
        value1(value1);
        value2(value2);
        value3(value3);
        value4(value4);
        value5(value5);
        value6(value6);
        value7(value7);
        return this;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached SocietaTutelaRecord
     */
    public SocietaTutelaRecord() {
        super(SocietaTutela.SOCIETA_TUTELA);
    }

    /**
     * Create a detached, initialised SocietaTutelaRecord
     */
    public SocietaTutelaRecord(Integer id, String codice, String nominativo, String homeTerritory, String posizioneSiae, String codiceSiada, Byte tenant) {
        super(SocietaTutela.SOCIETA_TUTELA);

        set(0, id);
        set(1, codice);
        set(2, nominativo);
        set(3, homeTerritory);
        set(4, posizioneSiae);
        set(5, codiceSiada);
        set(6, tenant);
    }
}
